version: "1.1.13"
# Available serializers:
# LEGACY_AMPERSAND - "&c&lExample &c&9Text".
# LEGACY_SECTION - "§c§lExample §c§9Text".
# MINIMESSAGE - "<bold><red>Example</red> <blue>Text</blue></bold>". (https://webui.adventure.kyori.net/)
# GSON - "[{"text":"Example","bold":true,"color":"red"},{"text":" ","bold":true},{"text":"Text","bold":true,"color":"blue"}]". (https://minecraft.tools/en/json_text.php/)
# GSON_COLOR_DOWNSAMPLING - Same as GSON, but uses downsampling.
serializer: LEGACY_AMPERSAND
prefix: "LimboAPI &6>>&f"

# Don't use \n, use {NL} for new line, and {PRFX} for prefix.
main:
  check-for-updates: true
  max-chat-message-length: 256
  max-unknown-packet-length: 2048
  max-single-generic-packet-length: 4096
  max-multi-generic-packet-length: 131072
  # Default max packet length (in bytes) that will be proceeded, other packets will be dropped.
  # Can be increased with Limbo#setMaxSuppressPacketLength
  max-packet-length-to-suppress-it: 512
  # Discards all packets longer than compression-threshold. Helps to mitigate some attacks.
  # Needs compression-threshold to be 300 or higher to support 1.19 chat-signing, so it is disabled by default
  discard-compression-on-login: false
  discard-compression-after-login: false
  # LimboAPI will consume more RAM if this option is enabled, but compatibility with other plugins will be better
  # Enable it if you have a plugin installed that bypasses compression (e.g. Geyser)
  save-uncompressed-packets: true
  # Logging for connect and disconnect messages.
  logging-enabled: true
  # Change the parameters below, if you want to reduce the RAM consumption.
  # Use VelocityTools to completely block Minecraft versions (https://github.com/Elytrium/VelocityTools/releases/latest).
  # Available versions:
  # 1_7_2, 1_7_6, 1_8, 1_9, 1_9_1, 1_9_2, 1_9_4, 1_10, 1_11, 1_11_1, 1_12, 1_12_1, 1_12_2,
  # 1_13, 1_13_1, 1_13_2, 1_14, 1_14_1, 1_14_2, 1_14_3, 1_14_4, 1_15, 1_15_1, 1_15_2,
  # 1_16, 1_16_1, 1_16_2, 1_16_3, 1_16_4, 1_17, 1_17_1, 1_18, 1_18_2, 1_19, 1_19_1, 1_19_3, LATEST
  prepare-min-version: "1_7_2"
  prepare-max-version: "LATEST"
  # Helpful if you want some plugins proceed before LimboAPI. For example, it is needed to Floodgate to replace UUID.
  pre-limbo-profile-request-plugins:
    - "floodgate"
    - "geyser"
  # Regenerates listeners that need to proceed before LimboAPI on each EventManager#register call.
  auto-regenerate-listeners: false
  # Should reduced debug info be enabled (reduced information in F3) if there is no preference for Limbo
  reduced-debug-info: false
  view-distance: 10
  simulation-distance: 9
  # How many chunks we should send when a player spawns.
  #  0 = send no chunks on spawn.
  #  1 = send only the spawn chunk.
  #  2 = send the spawn chunk and chunks next to the spawn chunk.
  #  3 = send the spawn chunk, chunks next to the spawn chunk and next to these chunks.
  #  and so on..
  chunk-radius-send-on-spawn: 2
  # How many chunks we should send per tick
  chunks-per-tick: 16
  messages:
    too-big-packet: "{PRFX}{NL}{NL}&cYour client sent too big packet!"
    invalid-ping: "{PRFX}{NL}{NL}&cYour client sent invalid ping packet!"
    time-out: "{PRFX}{NL}{NL}Timed out."
